> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cybedefend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate CWE Top 25 2024 report for a project



## OpenAPI

````yaml get /project/{projectId}/cwe-report/{format}
openapi: 3.0.0
info:
  title: Cybedefend API
  description: >-
    CybeDefend is an advanced API for application security analysis. Key
    features include OAuth 2.0 authentication, user/organization/project
    management, and REBAC-based permissions. It excels in static, dynamic, and
    IaC security analyses (SAST, DAST, IaC, etc.).
  version: '1.0'
  contact: {}
servers:
  - url: https://api-eu.cybedefend.com
    description: EU
  - url: https://api-us.cybedefend.com
    description: US
security: []
tags: []
paths:
  /project/{projectId}/cwe-report/{format}:
    get:
      tags:
        - Results & Vulnerabilities
      summary: Generate CWE Top 25 2024 report for a project
      operationId: ResultController_generateCweReport
      parameters:
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: format
          required: true
          in: path
          schema:
            type: string
        - name: detailed
          required: false
          in: query
          description: Whether to include detailed information in the report
          schema:
            example: 'true'
            type: string
            enum:
              - 'true'
              - 'false'
      responses:
        '200':
          description: CWE Top 25 report generated successfully
        '400':
          description: Bad request - Invalid format
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                example:
                  message: Forbidden
                  statusCode: 403
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path

````